> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finhost.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search recipient by alias

> Search recipient by alias



## OpenAPI

````yaml get /v2/recipients/search/aliases/{alias}
openapi: 3.0.0
info:
  title: FinHost WLB Client API
  description: WLB Client REST API openApi 3.0 specification
  contact:
    email: odv4mail@gmail.com
  version: 1.0.0
servers:
  - url: https://client-api.dev.finhost.io
  - url: https://client-api.stage-v2.finhost.io
  - url: https://client-api-atlaspay-prod.finhost.io
security: []
tags:
  - name: Client
    description: Information about service clients
  - name: Sumsub
    description: KYC service
  - name: Contract
    description: Operations with clients contracts
  - name: Account
    description: Operations with clients accounts
  - name: Transfer
    description: Operations with clients assets
  - name: Recipient
    description: Operations with recipients
  - name: Statement
    description: List of the client statments
  - name: Company
    description: List of the client statments
paths:
  /v2/recipients/search/aliases/{alias}:
    get:
      tags:
        - Recipient
      summary: 'Receive internal recipient account  '
      description: Receive recipient info and default account
      parameters:
        - name: alias
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: companyId
          in: query
          description: Company id
          required: false
          style: form
          explode: true
          schema:
            type: string
      responses:
        '200':
          description: 200 response
          headers:
            Access-Control-Allow-Origin:
              style: simple
              explode: false
              schema:
                type: string
            Content-Type:
              style: simple
              explode: false
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_200_2'
      security:
        - bearerAuth: []
components:
  schemas:
    inline_response_200_2:
      required:
        - accountId
        - name
        - type
      type: object
      properties:
        name:
          type: string
          description: EndUser name
          example: Mykola N.
        accountId:
          type: string
          description: Account ID
          example: uuid
        type:
          type: string
          description: EndUser type(individual or company)
          example: individual
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````